Subject: [PATCH] Clarify insert-char when called from Lisp

From: Lactose ‎ <[email-masked]>
Date: Thu, 17 Apr 2025 13:39:35 -0700

The docs for `insert-char' is unclear what values are valid for CHARACTER
when called from Lisp. This clarifies that only code points can be passed
when called from Lisp instead of interactively
diff --git a/src/editfns.c b/src/editfns.c
index a938d09..41927b5 100644
--- a/src/editfns.c
+++ b/src/editfns.c
@@ -1441,7 +1441,7 @@ DEFUN ("insert-char", Finsert_char, Sinsert_char, 1, 3,
               t))",
        doc: /* Insert COUNT copies of CHARACTER.
 Interactively, prompt for CHARACTER using `read-char-by-name'.
-You can specify CHARACTER in one of these ways:
+When promted, you can specify CHARACTER in one of these ways:
 
  - As its Unicode character name, e.g. \"LATIN SMALL LETTER A\".
    Completion is available; if you type a substring of the name
@@ -1455,6 +1455,9 @@ You can specify CHARACTER in one of these ways:
  - As a code point with a radix specified with #, e.g. #o21430
    (octal), #x2318 (hex), or #10r8984 (decimal).
 
+When called from Lisp, you can only pass CHARACTER as a code point.
+See `char-from-name' for retrieving a code point from a Unicode character name.
+
 If called interactively, COUNT is given by the prefix argument.  If
 omitted or nil, it defaults to 1.